Bug 200105 - NullPointerException at org.netbeans.modules.nativeexecution.support.ui.SSHKeyFileCompletionProvider.listDir
NullPointerException at org.netbeans.modules.nativeexecution.support.ui.SSHKe...
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: execution
7.0
All All
: P2 (vote)
: 7.1
Assigned To: Andrew Krasny
issues@cnd
EXCEPTIONS_REPORT, gizmo, 701patch2-v...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-13 11:59 UTC by Egor Ushakov
Modified: 2011-09-27 12:44 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (7.97 KB, text/plain)
2011-07-13 11:59 UTC, Egor Ushakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-07-13 11:59:02 UTC
Build: Oracle Solaris Studio Dev 2011/07/13 6c146e69921b
VM: Java HotSpot(TM) Server VM, 19.0-b09, Java(TM) SE Runtime Environment, 1.6.0_23-b05
OS: SunOS

Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.nativeexecution.support.ui.SSHKeyFileCompletionProvider.listDir(SSHKeyFileCompletionProvider.java:78)
   at org.netbeans.modules.nativeexecution.support.ui.api.FileNamesCompletionProvider.getList(FileNamesCompletionProvider.java:126)
   at org.netbeans.modules.nativeexecution.support.ui.api.FileNamesCompletionProvider.autocomplete(FileNamesCompletionProvider.java:101)
   at org.netbeans.modules.nativeexecution.support.ui.api.FileSelectorField$CompletionTask.run(FileSelectorField.java:235)
   at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:1424)
   at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:1968)
Comment 1 Egor Ushakov 2011-07-13 11:59:05 UTC
Created attachment 109413 [details]
stacktrace
Comment 2 Andrew Krasny 2011-09-08 12:28:32 UTC
fixed in
cnd-main: 201361:097a3146780c
Comment 3 Vladimir Voskresensky 2011-09-14 11:11:10 UTC
fix http://hg.netbeans.org/cnd-main/rev/097a3146780c
is safe and correct
Comment 4 Vladimir Voskresensky 2011-09-16 11:56:05 UTC
releases_elif/rev/42168d61714b
Comment 5 Alexander Pepin 2011-09-21 14:11:23 UTC
can not reproduce in oss-platform-build #66 (20110921)
Comment 6 Alexander Pepin 2011-09-27 12:44:55 UTC
can not reproduce in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo